CustomFields
Update a custom field
Updates an existing custom field definition and returns the updated field. Use this endpoint to update a custom field through the Samva email API.
Updates an existing custom field definition and returns the updated field.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^cfield_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
label?string|null
options?array<string>|null
defaultValue?string|null|null
isRequired?boolean|null
sortOrder?|null
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/custom-fields/string" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "organizationId": "string", "key": "string", "label": "string", "type": "text", "options": [ "string" ], "defaultValue": "string", "isRequired": true, "sortOrder": 0, "createdAt": "string", "updatedAt": "string"}